> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/de/powershell-commands/restore-dpsanomalydetectionfolder.md).

# Restore-DPSAnomalyDetectionFolder

### Übersicht

Stellt den Ordner PythonAnomalyDetection aus einer Sicherung wieder her.

### Syntax

#### \_\_AllParameterSets

```
Restore-DPSAnomalyDetectionFolder [-BackupPath] <string> [-ApplicationPath] <string> [-WhatIf]
 [-Confirm] [<CommonParameters>]
```

### Beschreibung

Stellt den Ordner PythonAnomalyDetection aus einer Sicherung in der Devolutions Server-Instanz wieder her. Dieses Cmdlet kopiert den Ordner PythonAnomalyDetection vom Sicherungsort in den Devolutions Server-Installationspfad. Wenn der Ordner in der Sicherung nicht vorhanden ist, wird das Cmdlet ohne Fehler stillschweigend beendet. Dieses Cmdlet erfordert Schreibberechtigungen für das Dateisystem im Devolutions Server-Installationspfad sowie Leseberechtigungen für den Sicherungsort.

### Beispiele

#### Beispiel 1

**Pfade für die Devolutions Server-Instanz und die Sicherungsorte definieren**

```powershell
PS C:\> $DVLSPath = '/home/myuser/dvls/'
PS C:\> $backupConfigurationFiles = '/home/myuser/dvlsBackup/dvlsConfig/'
PS C:\> $backupInstallationFiles = '/home/myuser/dvlsBackup/dvlsFiles/'
PS C:\> $downloadPath = '/home/myuser/dvlsLatest.tar.gz'
```

**Schritt 1: Aktuelle Konfigurations- und Installationsdateien sichern**

```powershell
PS C:\> Backup-DPSConfigurationFiles -ApplicationPath $DVLSPath -BackupConfigurationPath $backupConfigurationFiles
PS C:\> Remove-Item -Path "$backupInstallationFiles/*" -Recurse -Force
PS C:\> Backup-DPSInstallationFiles -ApplicationPath $DVLSPath -BackupPath $backupInstallationFiles
PS C:\> $connectionString = (Get-DPSAppSettings -ApplicationPath $backupConfigurationFiles).ConnectionStrings.LocalSqlServer
```

**Schritt 2: Neue DVLS-Version herunterladen und extrahieren**

```powershell
PS C:\> Get-DPSProduct -Name DPSLinuxX64bin -Destination $downloadPath
PS C:\> tar -xzf $downloadPath -C $DVLSPath --strip-components=1
```

**Schritt 3: Datenbank aktualisieren**

```powershell
PS C:\> Update-DPSDatabase -ConnectionString $connectionString -InstallationPath $DVLSPath
```

**Schritt 4: Benutzerdefinierte Dateien und Konfiguration wiederherstellen**

```powershell
PS C:\> Restore-DPSCustomFolders -BackupPath $backupInstallationFiles -ApplicationPath $DVLSPath
PS C:\> Restore-DPSAnomalyDetectionFolder -BackupPath $backupInstallationFiles -ApplicationPath $DVLSPath
PS C:\> Restore-DPSConfigurationFiles -BackupConfigurationPath $backupConfigurationFiles -ApplicationPath $DVLSPath
```

Arbeitsablauf zum Aktualisieren einer Devolutions Server-Instanz.

### Parameter

#### -ApplicationPath

Pfad der Devolutions Server-Instanz.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 2
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -BackupPath

Pfad des Sicherungsordners.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Confirm

Fordert Sie vor dem Ausführen des Cmdlets zur Bestätigung auf.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- cf
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -WhatIf

Zeigt, was geschehen würde, wenn das Cmdlet ausgeführt wird. Das Cmdlet wird nicht ausgeführt.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- wi
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Dieses Cmdlet unterstützt die allgemeinen Parameter: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction und -WarningVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Hinweise

Weitere Informationen erhalten Sie mit "Get-Help Restore-DPSAnomalyDetectionFolder -detailed". Technische Informationen erhalten Sie mit "Get-Help Restore-DPSAnomalyDetectionFolder -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell/de/powershell-commands/restore-dpsanomalydetectionfolder.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
